/* ============================================================
 * File  : plugin_acquireimages.h
 * Author: Gilles Caulier <caulier.gilles@free.fr>
 * Date  : 2003-11-04
 * Description : Digikam Acquire Images Plugin based on Kooka
 * interface.
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published bythe Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */

#ifndef PLUGIN_ACQUIREIMAGES_H
#define PLUGIN_ACQUIREIMAGES_H

#include <digikam/albummanager.h>
#include <digikam/albuminfo.h>
#include <digikam/plugin.h>


class KScanDialog;
class KAction;
class KActionMenu;
class AcquireImageDialog;
class ScreenGrabDialog;

class Plugin_AcquireImages : public Digikam::Plugin
{
  Q_OBJECT

public:
  Plugin_AcquireImages(QObject *parent, const char* name, const QStringList &args);
  virtual ~Plugin_AcquireImages();

public slots:
  void slotActivate();
  void slotAcquireImageDone(const QImage &img);

private:
  KActionMenu        *m_action_acquire;
  KAction            *m_action_scanimages;
  KAction            *m_action_screenshotimages;
  KScanDialog        *m_scanDialog;
  AcquireImageDialog *m_acquireImageDialog;
  ScreenGrabDialog   *m_screenshotDialog;
};


#endif /* PLUGIN_ACQUIREIMAGES_H */
