//////////////////////////////////////////////////////////////////////////////
//
//    SCREENSHOOTDIALOG.H
//
//    Copyright (C) 2000-2003 Daniel M.Duley <dan.duley@verizon.net>
//                                              (from Pixie project)
//    Copyright (C) 2004 Gilles CAULIER <caulier.gilles@free.fr>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef SCREENSHOOTDIALOG_H
#define SCREENSHOOTDIALOG_H

#include <qimage.h>
#include <qpixmap.h>

#include <kdialogbase.h>

#include <X11/X.h>
#include <X11/Xlib.h>


class KConfig;
class AcquireImageDialog;
class QCheckBox;
class KIntNumInput;


class ScreenGrabDialog : public KDialogBase
{
Q_OBJECT

public:
    ScreenGrabDialog(QWidget *parent=0, const char *name=0);
    ~ScreenGrabDialog();

public slots:
    void slotCheckIfDelay();
    void slotStartGrab();
    void slotAbout();
    void slotClose();

protected:
    bool                m_inSelect;
    bool                m_winSelected;
    QCheckBox          *m_desktopCB;
    QCheckBox          *m_hideCB;
    KIntNumInput       *m_delay;
    AcquireImageDialog *m_acquireImageDialog;
    QImage              m_screenshotImage;
    KConfig            *m_config;
    QPoint              m_oldPos;

    void mousePressEvent(QMouseEvent *ev);
    QPixmap getWindow(Window window, bool nobdrs);
};

#endif  // SCREENSHOOTDIALOG_H
